tools: remove generate_changelog.sh.

We have not used this script since 2009.
This commit is contained in:
Jehan 2025-12-15 13:17:28 +01:00
parent 6e1afe9bf3
commit 10cf3f05ee
2 changed files with 0 additions and 48 deletions

View file

@ -1325,7 +1325,6 @@ localedir = get_option('datadir') / 'locale'
# Check for internal tools
extract_vector_icon = find_program('tools'/'extract-vector-icon.sh')
generate_changelog = find_program('tools'/'generate_changelog.sh')
generate_news = find_program('tools'/'generate-news')
gimppath2svg = find_program('tools'/'gimppath2svg.py')
module_dependencies = find_program('tools'/'module-dependencies.py')
@ -1815,17 +1814,6 @@ if xmllint.found()
)
endif
custom_target('Changelog',
input : [ ],
output: [ 'Changelog', ],
command: [
generate_changelog,
meson.project_source_root(),
'@OUTPUT@'
],
build_by_default: false,
)
meson.add_dist_script('meson_dist_script.py',
generate_version_h ? gitversion_h.full_path() : gitversion_h,
meson.project_source_root(), meson.project_build_root())

View file

@ -1,36 +0,0 @@
#!/bin/sh
srcdir="$1"
output="$2"
echo "Creating ${output} based on git log"
gitdir="${srcdir}/.git"
if [ ! -d "${gitdir}" ]; then
echo "A git checkout and git-log is required to write changelog in ${output}." \
| tee ${output} >&2
exit 1
fi
CHANGELOG_START=74424325abb54620b370f2595445b2b2a19fe5e7
( \
git log "${CHANGELOG_START}^.." --stat "${srcdir}" > temp_log.tmp
status=$?
cat temp_log.tmp | fmt --split-only > "${output}.tmp" | rm temp_log.tmp \
&& [ "$status" -eq 0 ] \
&& mv "${output}.tmp" "${output}" -f \
&& echo "Appending ChangeLog.pre-git" \
&& cat "${srcdir}/ChangeLog.pre-git" >> "${output}" \
&& exit 0
) \
||\
( \
rm "${output}.tmp" -f \
&& echo "Failed to generate ChangeLog, your ChangeLog may be outdated" >&2 \
&& (test -f "${output}" \
|| echo "git-log is required to generate this file" >> "${output}") \
&& exit 1
)